Get pipeline usage metrics for all child organizations of an enterprise
Get pipeline usage metrics for all child organizations of an enterprise
curl --request GET \
--url https://api.mezmo.com/v3/enterprise/pipeline/metric/usage \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v3/enterprise/pipeline/metric/usage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v3/enterprise/pipeline/metric/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"type": "<string>",
"page": {
"next": "<string>",
"previous": "<string>"
},
"pk": "<string>",
"links": {
"self": {
"list": {
"method": "get",
"uri": "https://api.mezmo.com/v3/enterprise/resource"
},
"detail": {
"method": "get",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"update": {
"method": "patch",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"replace": {
"method": "put",
"uri": "https://api.mezmo.com/v3/enterprise/resource/{resource_id}"
},
"create": {
"method": "post",
"uri": "https://api.mezmo.com/v3/enterprise/resource"
}
},
"related": {}
}
},
"data": [
{
"edge_id": "c7e27454-e4c2-448d-be49-c9ab5e3187ec",
"pipeline_id": "02a0d09f-a32f-402f-95f9-4aaca45817ad",
"pipeline_title": "<string>",
"account_id": "b58fce2734",
"node_id": "072a04ec-31c1-4256-97d4-101d5bfd3ff9",
"node_title": "<string>",
"node_type": "<string>",
"deleted": true,
"traffic": "<string>",
"at": "2023-11-07T05:31:56Z",
"byte_size": "<string>"
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}{
"status": 449,
"code": "<string>",
"message": "<string>",
"errors": [
{
"keyword": "<string>",
"params": {},
"message": "<string>",
"instance_path": null,
"schema_path": null,
"property_name": null
}
]
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Query Parameters
Define the beginning of the window
Define the end of the window
Size of the interval represented by each returned metric result
Include pipelines and nodes that have been deleted
Limit usage metrics to the given pipeline id. If not defined, the metrics will include all pipelines for the account.
Limit usage metrics to a single traffic direction. If not defined, the metrics for both directions will be included.
ingress, egress Response
Response containing pipeline usage metrics for all child orgs of the enterprise
Was this page helpful?

